Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class RedWarUnit

    java.lang.Object
      gecco.server.core.Unit
          gecco.game.dke.WarUnit
              gecco.game.dke.RedWarUnit

All Implemented Interfaces:
  Comparable, ReplayReady

public class RedWarUnit
extends WarUnit

RedWarUnit.java Created: Wed Nov 13 22:31:22 2002

Author:
  Hans Sandström

Field Summary

Fields inherited from class gecco.game.dke.WarUnit
`attackInitiated, DECREASE_HEALTH, SET_ADVANCING, SET_ATTACKING, SET_DISTURNED, SET_FIRING_INDIRECT, SET_MARCHING, SET_POSITION, SET_RELOADING, SET_UNDER_ATTACK, SET_UNDER_INDIRECT_FIRE, underAttackInitiated, UPDATE_STATUS`

Fields inherited from class gecco.server.core.Unit
`activeAction, blockedActions, commander, handle, intX, intY, isDestroyed, name, observers, properties, type, unitType, updatedActions, updatedProperties, x, y`

Fields inherited from interface gecco.server.replaymanager.ReplayReady
`UNIT`

Constructor Summary
`RedWarUnit()`

Methods inherited from class gecco.game.dke.WarUnit
`advanceAfterCombat, attack, cantMoveTo, combatEnded, combatEnded, combatResult, decreaseAttackFactor, decreaseDefenceFactor, decreaseHealth, decreaseIndirectFireFactor, getAttackFactor, getAttacking, getAttackValue, getDefenceFactor, getDefenceValue, getForce, getHealth, getInCombatWhith, getIndirectFireDispersion, getIndirectFireExtendTime, getIndirectFireFactor, getReloadExtendTime, getSupports, getUnderAttack, initUnderAttack, isAdvancing, isAttacking, isDisturbed, isFiringIndirect, isInCombat, isMarching, isOutsideMap, isReloading, isUnderAttack, isUnderIndirectFire, joinForCombat, markAsDestroyed, playReplayData, printWriteMe, releaseFiringIndirect, resetCombatants, resetDisturbed, retreatAfterCombat, saveReplayData, setAdvancing, setAttackFactor, setAttacking, setDefenceFactor, setDisturbed, setFiringIndirect, setForce, setHealth, setInCombatWhith, setIndirectFireFactor, setMarching, setPosition, setPosition, setReloading, setSupports, setUnderAttack, setUnderIndirectFire, toString, underIndirectFire, underIndirectFireCompleted, updateStatus`

Methods inherited from class gecco.server.core.Unit
`abortAllActions, addBlockedAction, addObserver, canSeeAutomatonAtPosition, compareTo, equals, getActiveAction, getBlockedActions, getCommander, getDoubleProperty, getHandle, getIntProperty, getIntX, getIntY, getName, getObservers, getProperties, getProperty, getPropertyType, getStringProperty, getUnitType, getUpdatedActions, getUpdatedProperties, getX, getY, hashCode, isDestroyed, isObserver, removeBlockedAction, removeObserver, resetUpdatedActions, resetUpdatedProperties, sendUnitMessage, setActiveAction, setCommander, setHandle, setName, setProperty, setProperty, setProperty, setUnitType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedWarUnit

    public RedWarUnit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD